var Optosense = require('../OptosenseBase.js');


module.exports =  function(RED) 
{
    function DeviceInfo(config) {
        RED.nodes.createNode(this, config);
        var node = this;
        node.on('input', function(msg) 
        {
            try            
            {
                Optosense.Core.CMD(Optosense.BUS.GAUGE,  0x20 /* ManufacturerName() */, -1, 21, function (Error, Data)
                {
                    msg.error   = Error;
                    msg.success = Error !== undefined ? true : false;
    
                    var DeviceManufacturerLen = Data.readInt8();
                    msg.DeviceManufacturer = Data.toString('utf8', 1, DeviceManufacturerLen + 1);

                    Optosense.Core.CMD(Optosense.BUS.GAUGE, 0x21 /* DeviceName() */, -1, 21, function (Error, Data)
                    {
                        msg.error   = Error;
                        msg.success = Error !== undefined ? true : false;
        
                        var DeviceNameLen = Data.readInt8();
                        msg.DeviceName = Data.toString('utf8', 1, DeviceNameLen + 1);

                        Optosense.Core.CMD(Optosense.BUS.GAUGE, 0x1C /* SerialNumber() */, -1, 2, function (Error, Data)
                        {
                            msg.error   = Error;
                            msg.success = Error !== undefined ? true : false;
                            msg.payload = Data;
            
                            msg.DeviceSerial = Data.readInt16LE();
            
                            node.send(msg);
                        }); 
                    });
                });
            }
            catch(e)
            {
                console.error(e);
            }
        });
    }
    RED.nodes.registerType("DeviceInfo", DeviceInfo);
}